VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Namespaces | Functions | Variables
audiohost.cpp File Reference
`#include "public.sdk/samples/vst-hosting/audiohost/source/audiohost.h"`
`#include "public.sdk/samples/vst-hosting/audiohost/source/platform/appinit.h"`
`#include "public.sdk/source/vst/hosting/hostclasses.h"`
`#include "public.sdk/source/vst/utility/stringconvert.h"`
`#include "base/source/fcommandline.h"`
`#include "pluginterfaces/base/funknown.h"`
`#include "pluginterfaces/base/fstrdefs.h"`
`#include "pluginterfaces/gui/iplugview.h"`
`#include "pluginterfaces/gui/iplugviewcontentscalesupport.h"`
`#include "pluginterfaces/vst/ivstaudioprocessor.h"`
`#include "pluginterfaces/vst/ivsteditcontroller.h"`
`#include "pluginterfaces/vst/vsttypes.h"`
`#include <cstdio>`
`#include <iostream>`
`#include "windows.h"`
`#include <wtypes.h>`

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
namespace | Steinberg::Vst::AudioHost

## Functions
int | wmain (int argc, wchar_t *argv[])

## Variables
FUnknown * | gStandardPluginContext = new Vst::HostApplication ()

## Function Documentation

## ◆ wmain()

int wmain | ( | int | argc,
|  | wchar_t * | argv[] )

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.